ata_msense_rw_recovery
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_msense_rw_recovery — Simulate MODE SENSE r/w error recovery page

## Synopsis

`unsigned int ata_msense_rw_recovery (` | u8 ** | ptr_io,
| const u8 * | last`)`;

## Arguments

`ptr_io`

  (input/output) Location to store more output data

`last`

  End of output data buffer

## Description

Generate a generic MODE SENSE r/w error recovery page.

## LOCKING

None.

Prev | Up | Next
ata_msense_ctl_mode | Home | ata_scsiop_mode_sense